#ifndef POINT_H
#define POINT_H
#include <iostream>
#include <cmath>

using namespace std;

//
// Classe Point
//
class Point
{
  public:
    // constructeurs
    Point(float coord1, float coord2);
    Point();
     // test de l'egalite entre deux points 
    bool operator==(Point);
    // re-initialisation
    void init(float coord1, float coord2);
    // calcul de la distance entre deux points
    float distance(Point);
    // affichage des coordonnees
    void afficher(void);
  private:
    // representation
    float abcisse,ordonnee;
    // re-initialisation de l'abscisse
    void changer_abs(float);
    // re-initialisation de l'ordonnée
    void changer_ord(float);
};
#endif
